Name:		udftools
Epoch:		1
Version:	2.3
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Kernel and hardware
Summary:	UDF filesystem tools
URL:		https://github.com/pali/udftools
Source0:	https://github.com/pali/udftools/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(udev)

Provides:	udf
Obsoletes:	udf <= 1.0

%description -n udftools
These are tools for UDF file systems as used, e.g.,
on DVD-RAM, DVD+RW, CD-RW. They are also used for
managing Packet-CD/DVD devices and media.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%doc ChangeLog AUTHORS 
%{_bindir}/*
%{_sbindir}/*
%{_docdir}/%{name}/*
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*
%{_udevrulesdir}/80-pktsetup.rules


%changelog
* Thu Mar 24 2022 umeabot <umeabot> 1:2.3-2.mga9
+ Revision: 1824425
- Mageia 9 Mass Rebuild

* Fri Mar 12 2021 daviddavid <daviddavid> 1:2.3-1.mga9
+ Revision: 1701653
- new version: 2.3

* Wed Feb 19 2020 umeabot <umeabot> 1:2.2-2.mga8
+ Revision: 1543012
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 09 2020 zezinho <zezinho> 1:2.2-1.mga8
+ Revision: 1477422
- new version

* Sun Jan 05 2020 tv <tv> 1:2.1-2.mga8
+ Revision: 1476629
- rebuild for new readline

* Wed Jan 23 2019 zezinho <zezinho> 1:2.1-1.mga7
+ Revision: 1360116
- obsolete removed libs
- new upstream

* Sun Sep 23 2018 umeabot <umeabot> 1:1.0.0-0.b3.23.mga7
+ Revision: 1301492
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 1:1.0.0-0.b3.22.mga6
+ Revision: 963145
- Mageia 6 Mass Rebuild

* Thu Oct 29 2015 tv <tv> 1:1.0.0-0.b3.21.mga6
+ Revision: 896269
- add -stdc=gnu89 to CFLAGS

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0.0-0.b3.21.mga5
+ Revision: 740881
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0.0-0.b3.20.mga5
+ Revision: 690014
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.0.0-0.b3.19.mga4
+ Revision: 519837
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1:1.0.0-0.b3.18.mga3
+ Revision: 384949
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1:1.0.0-0.b3.17.mga3
+ Revision: 337900
- patch8: fix build with automake 1.13

* Sat May 12 2012 colin <colin> 1:1.0.0-0.b3.16.mga2
+ Revision: 235420
- Add LSB headers to initscripts (mga#5262)
- Split out small bzipped sources to store as plain text.

* Fri May 20 2011 cjw <cjw> 1:1.0.0-0.b3.14.mga1
+ Revision: 99988
- clean up spec
+ misc <misc>
- increase release after importing from Mandriva
- imported package udftools


* Sat Aug 23 2008 Funda Wang <fundawang@mandriva.org> 1:1.0.0-0.b3.13mdv2009.0
+ Revision: 275403
- more gcc 4.3 patch
- add gcc 4.3 patch from suse
- add patch from suse
- bzunzip patches

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - fix summary-ended-with-dot

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:1.0.0-0.b3.10mdv2008.1
+ Revision: 135779
- fix autoconf path
- kill re-definition of %%buildroot on Pixel's request
- do not hardcode man pages extension
- import udftools


* Fri Oct 28 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.0-0.b3.10mdk
- Fix BuildRequires

* Fri Oct 28 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.0-0.b3.9mdk
- patch 5 : Fix build with gcc4
- Fix PreReq
- %%mkrel

* Fri Nov 19 2004 Marcel Pol <mpol@mandrake.org> 1.0.0-0.b3.8mdk
- buildrequires readline-devel
- prerequires rpm-helper
- autoconf2.5 is default now

* Fri Oct 08 2004 Marcel Pol <mpol@mandrake.org> 1.0.0-0.b3.7mdk
- from couriousous <couriousous at zarb.org>
  update initscript and sysconfig file (bug #12018)

* Fri Sep 10 2004 couriousous <couriousous@zarb.org> 1.0.0-0.b3.6mdk
- Patch4 for 2.6.8.1 kernel

* Tue Jul 27 2004 svetljo<svetljo@gmx.de> 2.3.4-4mdk
- rebuild

* Thu Jun 13 2004 Svetoslav Slavtchev <svetljo@gmx.de> 1.0.0b3-4mdk
- drop club stuff
- update email

* Mon Apr 26 2004 Svetoslav Slavtchev <galia@st-peter.stw.uni-erlangen.de> 1.0.0b3-3mdk
- fix config file path
- install the other doc too

* Tue Apr 20 2004 Svetoslav Slavtchev <galia@st-peter.stw.uni-erlangen.de> 1.0.0b3-2mdk
- update to cvs 20040419
  ( fixes compilation of wrudf & udffsck )
- add init scripts
- add mkfs.udffs & fsck.udffs symlinks
- add some docs from the net
  ( need mdk-fication)
- add missing changelog

* Fri Apr 02 2004 Svetoslav Slavtchev <galia@st-peter.stw.uni-erlangen.de> 1.0.0b3-1mdk
- 1.0.0-b3 final
- add cdmrw tool

* Fri Aug 29 2003 Marcel Pol <mpol@gmx.net> 1.0.0-0.b3.20030825.1mdk
- beta is part of release tag, not version
- make sure to use autoconf-2.5 and automake-1.7
- other small changes in specfile

* Tue Aug 26 2003 Svetoslav Slavtchev <galia@st-peter.stw.uni-erlangen.de> 1.0.0b3-0.20030825.1mdk
- initial release

